# Uses of Class
it.tdlight.jni.TdApi.ChatStatisticsMessageInteractionInfo

## Uses of TdApi.ChatStatisticsMessageInteractionInfo in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.ChatStatisticsMessageInteractionInfo
Modifier and Type
Field
Description
`TdApi.ChatStatisticsMessageInteractionInfo[]`
TdApi.ChatStatisticsChannel.`recentMessageInteractions`
Detailed statistics about number of views and shares of recently sent messages.
Constructors in it.tdlight.jni with parameters of type TdApi.ChatStatisticsMessageInteractionInfo
Modifier
Constructor
Description
``
`ChatStatisticsChannel(TdApi.DateRange period, TdApi.StatisticalValue memberCount, TdApi.StatisticalValue meanViewCount, TdApi.StatisticalValue meanShareCount, double enabledNotificationsPercentage, TdApi.StatisticalGraph memberCountGraph, TdApi.StatisticalGraph joinGraph, TdApi.StatisticalGraph muteGraph, TdApi.StatisticalGraph viewCountByHourGraph, TdApi.StatisticalGraph viewCountBySourceGraph, TdApi.StatisticalGraph joinBySourceGraph, TdApi.StatisticalGraph languageGraph, TdApi.StatisticalGraph messageInteractionGraph, TdApi.StatisticalGraph instantViewInteractionGraph, TdApi.ChatStatisticsMessageInteractionInfo[] recentMessageInteractions)`
A detailed statistics about a channel chat.